Summary: Network monitoring tools for tracking IP addresses on a network.
Name: arpwatch
Version: 2.1a13
Release: 1tr
License: BSD
Group: Trustix Official
Source0: ftp://ftp.ee.lbl.gov/arpwatch-%{version}.tar.gz
Source1: arpwatch.init
BuildRoot: /var/tmp/%{name}-root
Requires: chkconfig, tsl-utils

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and
arpsnmp are both network monitoring tools.  Both utilities monitor
Ethernet or FDDI network traffic and build databases of Ethernet/IP
address pairs, and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep track of the IP addresses on your
network.

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/pcap" ./configure \
	--prefix=%{_prefix} --mandir=%{_mandir}
make MANDEST=%{_mandir} ARPDIR=/var/spool/arpwatch


%install
mkdir -p $RPM_BUILD_ROOT/var/spool/arpwatch
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
make install install-man DESTDIR=$RPM_BUILD_ROOT MANDEST=%{_mandir} \
	ARPDIR=/var/spool/arpwatch

for n in arp2ethers massagevendor; do
        install -m755 $n $RPM_BUILD_ROOT/var/spool/arpwatch
done
for n in *.awk *.dat; do
        install -m644 $n $RPM_BUILD_ROOT/var/spool/arpwatch
done

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/arpwatch

strip $RPM_BUILD_ROOT%{_prefix}/sbin/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
# Restart service after upgrade.
/sbin/chkconfig --add arpwatch
/sbin/restart_maybe arpwatch

%preun
if [ $1 = 0 ]; then
/sbin/chkconfig --del arpwatch
fi

%files
%defattr(-,root,root)
%doc CHANGES README
%{_prefix}/sbin/arpwatch
%{_prefix}/sbin/arpsnmp
%{_prefix}/share/man/man8/arpwatch.8*
%{_prefix}/share/man/man8/arpsnmp.8*
/etc/init.d/arpwatch
%dir    /var/spool/arpwatch
%config /var/spool/arpwatch/arp.dat
%config /var/spool/arpwatch/ethercodes.dat
/var/spool/arpwatch/*.awk
/var/spool/arpwatch/arp2ethers
/var/spool/arpwatch/massagevendor


%changelog
* Tue Sep 14 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1a13-1tr
- New upstream.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 2.1a11-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1a11-6tr
- Big rebuild

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1a11-5em
- Now even works.  ARPDIR set properly.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1a11-4em
- Rebuilt against glibc 2.3.2.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 2.1a11-3ct
- initscript now uses $INITLOCK

* Mon Aug 26 2002 Christian H. Toldnes <christht at trustix dot com> 2.1a11-2ct
- correct initscripts placement
- correct chkconfig handling.

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 2.1a11

* Thu Mar  8 2001 Alexander Reelsen <ar at trustix dot com>
- Splitted arpwatch from tcpdump package
